id: pocketbase-panel

info:
  name: PocketBase Panel - Detect
  author: userdehghani
  severity: info
  description: |
    PocketBase Login panel was discovered.
  reference:
    - https://pocketbase.io/
    - https://pocketbase.io/docs/
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.favicon.hash:981081715
  tags: panel,pocketbase,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/_/#/login"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - '<title>PocketBase'
        case-insensitive: true

      - type: status
        status:
          - 200
# digest: 4a0a00473045022100b380f157a4504c6c4cdea3cda3f4e28ba59b258cee9b5b349980d30b425be39f02207dd7e444e5e67f24e7650b96eb1be36488a67ec68fab8a6ec8dda8cd0c926a03:922c64590222798bb761d5b6d8e72950